Subject: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Philip Kaludercic <[email-masked]>
Date: Tue, 11 Oct 2022 19:51:48 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> The change to `deftheme' is only a feature of convenience, the
>> backwards-compatibile way to set the attributes remains using `put'.  In
>> fact, that `put'-expression is exactly what `deftheme' expands to.
>
> But your patch added altered the deftheme calls (and thereby making the
> themes non-backward-compatible) -- did you send the wrong patch?

No, but these themes are built-in, and to my knowledge not distributed
on ELPA (or at least changes in emacs.git are not exported to ELPA.  The
Modus Themes are manually synchronised), so it shouldn't make any
difference.  If so, I'll revert the changes where necessary.